# .env
NODE_ENV=development
# Logging settings for "Debug" logging module: https://www.npmjs.com/package/debug
DEBUG="golemio:integration-engine:*"
# Log level settings - silly>debug>verbose>info>warn>error, defaults to INFO if not set
LOG_LEVEL="DEBUG"

APP_NAME=integration-engine
# Port the app will listen on
PORT="3006"

# connections
POSTGRES_CONN=postgres://user:password@localhost:5432/dataplatform
REDIS_CONN=redis://user:password@localhost:6379/
RABBIT_CONN=amqp://user:password@localhost:5672
RABBIT_EXCHANGE_NAME=dataplatform
# abortable workers value
RABBIT_CONSUMER_TIMEOUT=

POSTGRES_POOL_MIN_CONNECTIONS=0
POSTGRES_POOL_MAX_CONNECTIONS=10
POSTGRES_POOL_IDLE_TIMEOUT=10000
RABBIT_CHANNEL_MAX_PREFETCH_COUNT=1

# batch size for streamed datasource getAll
DATA_BATCH_SIZE=1000

# helpers settings
OPEN_STREET_MAP_API_URL_SEARCH=https://nominatim.openstreetmap.org/search?format=json&accept-language=cs
OPEN_STREET_MAP_API_URL_REVERSE=https://nominatim.openstreetmap.org/reverse?format=json&accept-language=cs&zoom=18

# moje praha
MOJEPRAHA_ENDPOINT_BASEURL=https://www.mojepraha.eu

# MPLA URLS
PARKINGS_PAYMENT_URL=https://ke-utc.appspot.com/static/select_offstreet.html
PARKING_ZONES_PAYMENT_URL=https://ke-utc.appspot.com/static/onstreet.html

# sparql endpoint settings
SPARQL_ENDPOINT_URL=https://opendata.mojepraha.eu
SPARQL_ENDPOINT_AUTH=

# Storage
STORAGE_ENABLED=false
AZURE_BLOB_CLIENT_ID=
AZURE_BLOB_TENANT_ID=
AZURE_BLOB_CLIENT_SECRET=
AZURE_BLOB_ACCOUNT=
AZURE_BLOB_STORAGE_CONTAINER_NAME="local-integration-engine"

# streams management
STREAM_WAIT_FOR_END_INTERVAL=1000 # ms to next attempt to close the stream
STREAM_WAIT_FOR_END_ATTEMPTS=30 # attempts to close the stream before emit an error

# Telemetry
JAEGER_ENABLED=false
## http endpoint
JAEGER_ENDPOINT=
## or udp host & port
JAEGER_AGENT_HOST=
JAEGER_AGENT_PORT=
TELEMETRY_LOG_LEVEL=0 # NONE = 0, ERROR = 30, WARN = 50, INFO = 60, DEBUG = 70, VERBOSE = 80, ALL = 9999

# Prometheus Metrics
METRICS_ENABLED=false
METRICS_PORT=
METRICS_PREFIX=

# Graceful shutdown
LIGHTSHIP_SHUTDOWN_DELAY=
LIGHTSHIP_SHUTDOWN_TIMEOUT=
LIGHTSHIP_HANDLER_TIMEOUT=
